package org.springblade.estate.feign;

import org.springblade.estate.entity.ParkingArea;
import org.springblade.estate.vo.ParkingAreaVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ParkingAreaClientFallback implements IParkingAreaClient {
            /**
         * 详情
         */
        @Override
        public ParkingAreaVO detail(ParkingArea parkingArea) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<ParkingAreaVO> list(ParkingArea parkingArea) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( ParkingArea parkingArea) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( ParkingArea parkingArea) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( ParkingArea parkingArea) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
